lint:stylelint:
  extends:
    - .node:install
  stage: lint
  needs: []
  interruptible: true
  variables:
    SS_CI_RECIPES_STYLELINT_EXTS: css,scss,less
  script:
    - !reference [.node, script]
    - !reference [.node:install, script]
    - npm list --depth=0 stylelint
    - >
      npx stylelint
      --ignore-path=.gitignore
      --cache --cache-strategy=content --cache-location=${CI_CACHE_PATH?}/.stylelintcache
      "{.,}**/{.,}*.{${SS_CI_RECIPES_STYLELINT_EXTS}}"
  after_script:
    - !reference [.after_script:failure:docs, after_script]
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event" && $CI_PROJECT_PATH == $SS_CI_RECIPES_PROJECT_PATH
      changes:
        - stages/lint/stylelint/.gitlab-ci.yml
        - templates/.node.gitlab-ci.yml
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      changes:
        - .gitlab-ci.yml
        - package.json
        - .stylelintrc
        - .stylelintrc.{cjs,js,json,yaml,yml}
        - stylelint.config.{cjs,mjs,js}
        - '**/*.{$SS_CI_RECIPES_STYLELINT_EXTS}'
      exists:
        - '**/*.{$SS_CI_RECIPES_STYLELINT_EXTS}'
